aboutsummaryrefslogtreecommitdiff
path: root/docker/crupest-blog/update.bash
diff options
context:
space:
mode:
authorcrupest <crupest@outlook.com>2022-11-30 19:00:08 +0800
committercrupest <crupest@outlook.com>2022-11-30 19:00:08 +0800
commitc11b92992e6eebd91d6bbce26b2f407312d05a60 (patch)
tree4c2cad5c58d14dc22bd7af0a7ab6aaa1315e8ce5 /docker/crupest-blog/update.bash
parent3c918a6096e77190db83c998e777074493515326 (diff)
downloadcrupest-c11b92992e6eebd91d6bbce26b2f407312d05a60.tar.gz
crupest-c11b92992e6eebd91d6bbce26b2f407312d05a60.tar.bz2
crupest-c11b92992e6eebd91d6bbce26b2f407312d05a60.zip
A new way for blog.
Diffstat (limited to 'docker/crupest-blog/update.bash')
-rwxr-xr-xdocker/crupest-blog/update.bash28
1 files changed, 28 insertions, 0 deletions
diff --git a/docker/crupest-blog/update.bash b/docker/crupest-blog/update.bash
new file mode 100755
index 0000000..f4ac51b
--- /dev/null
+++ b/docker/crupest-blog/update.bash
@@ -0,0 +1,28 @@
+#! /usr/bin/env bash
+
+set -e
+
+echo -e "\e[0;103m\e[K\e[1mBegin to build blog...\e[0m"
+echo "Begin time: $(date +%Y-%m-%dT%H:%M:%SZ)"
+
+# check /blog directory exists
+if [[ ! -d /blog ]]; then
+ echo "Directory /blog not found, clone blog repository..."
+ git clone https://github.com/crupest/blog.git /blog
+ cd /blog
+ git submodule update --init --recursive
+else
+ echo "Directory /blog founded, update blog repository..."
+ cd /blog
+ git fetch -p
+ git reset --hard origin/master
+ git submodule update --init --recursive
+fi
+
+# Now hugo it
+echo "Run hugo to generate blog..."
+hugo
+
+echo "Finish time: $(date +%Y-%m-%dT%H:%M:%SZ)"
+echo -e "\e[0;102m\e[K\e[1mFinish build!\e[0m"
+